# class Cairo::UserFontFace::TextToGlyphsData

### Public Class Methods

new(p1, p2, p3) click to toggle source

    static VALUE
    cr_text_to_glyphs_data_initialize (VALUE self,
                                       VALUE need_glyphs, VALUE need_clusters,
                                       VALUE need_cluster_flags)
    {
      rb_ivar_set (self, cr_id_at_glyphs, Qnil);
      rb_ivar_set (self, cr_id_at_clusters, Qnil);
      rb_ivar_set (self, cr_id_at_cluster_flags, INT2NUM (0));
      rb_ivar_set (self, cr_id_at_need_glyphs, need_glyphs);
      rb_ivar_set (self, cr_id_at_need_clusters, need_clusters);
      rb_ivar_set (self, cr_id_at_need_cluster_flags, need_cluster_flags);

      return Qnil;
    }

### Public Instance Methods

cluster_flags() click to toggle source

    static VALUE
    cr_text_to_glyphs_data_get_cluster_flags (VALUE self)
    {
      return rb_ivar_get (self, cr_id_at_cluster_flags);
    }

cluster_flags=(p1) click to toggle source

    static VALUE
    cr_text_to_glyphs_data_set_cluster_flags (VALUE self, VALUE cluster_flags)
    {
      rb_ivar_set (self, cr_id_at_cluster_flags,
                   INT2NUM (RVAL2CRTEXTCLUSTERFLAGS (cluster_flags)));
      return Qnil;
    }

need_cluster_flags?() click to toggle source

    static VALUE
    cr_text_to_glyphs_data_need_cluster_flags (VALUE self)
    {
      return rb_ivar_get (self, cr_id_at_need_cluster_flags);
    }

need_clusters?() click to toggle source

    static VALUE
    cr_text_to_glyphs_data_need_clusters (VALUE self)
    {
      return rb_ivar_get (self, cr_id_at_need_clusters);
    }

need_glyphs?() click to toggle source

    static VALUE
    cr_text_to_glyphs_data_need_glyphs (VALUE self)
    {
      return rb_ivar_get (self, cr_id_at_need_glyphs);
    }